Name:           colobot
Version:        0.2.1
Release:        %mkrel 3
Summary:        A real-time strategy game with programmable bots
Group:          Games/Strategy
License:        GPLv3+
Url:            https://colobot.info/
Source0:        https://github.com/colobot/colobot/archive/colobot-gold-%{version}-alpha.tar.gz
Patch0:         colobot-add-missing-include.patch
BuildRequires:  ninja
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  gettext
BuildRequires:  xmlstarlet
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  po4a
Requires:       %{name}-data >= %{version}

%description
Colobot is a real-time strategy game. In a way. But it isn't.

Unlike most RTS games, Colobot does not require tactics, but it does require
thinking. Another difference would be the fact that you do not control
the game from a 'god' camera, seeing everything from up top, but you have
to control each unit individually. This could potentially cause the problem
of not being able to control two units at once, yet this is when another
twist comes in: Colobot actually has its own interpretation of robot
programming, which is done fully by the player, together with a few hints
and tips from the trusty SatCom.

But then, you can play the game without programming the robots if you want.
This is all up to you!

%prep
%autosetup -p1 -n %{name}-colobot-gold-%{version}-alpha

%build
%cmake -GNinja \
       -DCOLOBOT_INSTALL_LIB_DIR:PATH=%{_libdir}/%{name} \
       -DCOLOBOT_INSTALL_DATA_DIR:PATH=%{_gamesdatadir}/%{name}
%cmake_build

%install
%cmake_install

%find_lang %{name}

desktop-file-edit %{buildroot}%{_datadir}/applications/%{name}.desktop \
  --remove-category=AdventureGame \
  --remove-category=Robotics

%files -f %{name}.lang
%doc LICENSE.txt README.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/shaders/
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/info.%{name}.Colobot.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*
%{_mandir}/*/man6/%{name}.6*


%changelog
* Wed Jun 19 2024 wally <wally> 0.2.1-3.mga10
+ Revision: 2075323
- rebuild for boost 1.85.0

* Fri May 17 2024 daviddavid <daviddavid> 0.2.1-2.mga10
+ Revision: 2064529
- add patch to fix missing include

* Fri Jan 12 2024 wally <wally> 0.2.1-1.mga10
+ Revision: 2030616
- new version 0.2.1
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 0.2.0-4.mga10
+ Revision: 1991422
- rebuild for boost 1.83.0

* Sat Dec 24 2022 wally <wally> 0.2.0-3.mga9
+ Revision: 1926457
- rebuild for boost 1.81.0

* Fri Dec 23 2022 daviddavid <daviddavid> 0.2.0-2.mga9
+ Revision: 1926048
- add missing build dependency on pkgconfig(libpng)

* Fri Sep 02 2022 neoclust <neoclust> 0.2.0-1.mga9
+ Revision: 1883544
- New version Gold Edition - alpha 0.2.0

* Sun Jul 03 2022 wally <wally> 0.1.12-14.mga9
+ Revision: 1867235
- rebuild for boost 1.79.0

* Mon Apr 04 2022 umeabot <umeabot> 0.1.12-13.mga9
+ Revision: 1843989
- Mageia 9 Mass Rebuild

* Wed Dec 22 2021 wally <wally> 0.1.12-12.mga9
+ Revision: 1763296
- rebuild for missing pkgs in armv7hl

* Sun Dec 19 2021 wally <wally> 0.1.12-11.mga9
+ Revision: 1762599
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 0.1.12-10.mga9
+ Revision: 1744700
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 0.1.12-9.mga9
+ Revision: 1722945
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 0.1.12-8.mga8
+ Revision: 1666743
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 0.1.12-7.mga8
+ Revision: 1661985
- rebuild for boost 1.74.0

* Wed Dec 02 2020 luigiwalser <luigiwalser> 0.1.12-6.mga8
+ Revision: 1651343
- rebuild for glew

* Wed Oct 21 2020 akien <akien> 0.1.12-5.mga8
+ Revision: 1637623
- Fix missing includes for recent GCC

* Sun May 03 2020 wally <wally> 0.1.12-4.mga8
+ Revision: 1578143
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 0.1.12-3.mga8
+ Revision: 1544592
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 0.1.12-2.mga8
+ Revision: 1483351
- rebuild for boost 1.72.0
- build with new cmake macros

* Thu Apr 25 2019 akien <akien> 0.1.12-1.mga7
+ Revision: 1395263
- Version 0.1.12

* Tue Oct 16 2018 wally <wally> 0.1.11.1-2.mga7
+ Revision: 1321019
- rebuild for new boost 1.68.0

* Sun Oct 07 2018 daviddavid <daviddavid> 0.1.11.1-1.mga7
+ Revision: 1318440
- new version: 0.1.11.1
- add debian to fix build with gcc8
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Mon Dec 25 2017 wally <wally> 0.1.10-6.mga7
+ Revision: 1184659
- rebuild for new boost

* Sun Dec 03 2017 daviddavid <daviddavid> 0.1.10-5.mga7
+ Revision: 1180779
- rebuild for new glew 2.1.0

* Tue Nov 21 2017 tv <tv> 0.1.10-4.mga7
+ Revision: 1178064
- rebuild for boost 1.65

* Sun Sep 17 2017 tv <tv> 0.1.10-3.mga7
+ Revision: 1154951
- rebuild with latest boost

* Thu Aug 17 2017 sander85 <sander85> 0.1.10-2.mga7
+ Revision: 1141362
- Rebuild for new glew

* Thu May 25 2017 akien <akien> 0.1.10-1.mga6
+ Revision: 1104613
- Version 0.1.10

* Sat Nov 12 2016 akien <akien> 0.1.9-1.mga6
+ Revision: 1066688
- Version 0.1.9

* Tue Jul 19 2016 akien <akien> 0.1.8-1.mga6
+ Revision: 1042599
- Exclue armv5tl arch, it does not support std::exception_ptr
- Version 0.1.8

* Tue Jul 19 2016 neoclust <neoclust> 0.1.7b-2.mga6
+ Revision: 1042516
- Rebuild for armv5

* Tue May 10 2016 akien <akien> 0.1.7b-1.mga6
+ Revision: 1012267
- Version 0.1.7b

* Sun Jan 03 2016 akien <akien> 0.1.6-1.mga6
+ Revision: 919120
- Version 0.1.6.

* Sat Dec 26 2015 daviddavid <daviddavid> 0.1.5-5.mga6
+ Revision: 915159
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 daviddavid <daviddavid> 0.1.5-4.mga6
+ Revision: 883668
- rebuild for new boost 1.59.0

* Mon Aug 24 2015 sander85 <sander85> 0.1.5-3.mga6
+ Revision: 869092
- Rebuild for glew 1.13.0

* Sun Aug 02 2015 daviddavid <daviddavid> 0.1.5-2.mga6
+ Revision: 860508
- rebuild for new boost-1.58.0

* Wed Jun 24 2015 akien <akien> 0.1.5-1.mga6
+ Revision: 842188
- Install shaders and move custom lib to %%_libdir/%%name
- Version 0.1.5

* Sun Feb 08 2015 akien <akien> 0.1.4-1.mga5
+ Revision: 814191
- Version 0.1.4

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-6.mga5
+ Revision: 739580
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.1.3-5.mga5
+ Revision: 693659
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-4.mga5
+ Revision: 678473
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 0.1.3-3.mga5
+ Revision: 670264
- rebuild for glew

* Thu Jul 03 2014 akien <akien> 0.1.3-2.mga5
+ Revision: 642569
- Remove some desktop file categories

* Thu Jul 03 2014 akien <akien> 0.1.3-1.mga5
+ Revision: 642556
- imported package colobot

